import { QueryList, AfterViewInit, EventEmitter } from '@angular/core';
import { WalkthroughText } from './walkthrough-text';
import { WalkthroughComponent } from './walkthrough.component';
export declare class WalkthroughFlowComponent implements AfterViewInit {
    walkthroughComponents: QueryList<WalkthroughComponent>;
    id: string;
    closed: EventEmitter<boolean>;
    finished: EventEmitter<void>;
    contentStyle: 'none' | 'draken';
    arrowColor: string;
    showArrow: boolean | boolean;
    closeButton: boolean | boolean;
    closeAnywhere: boolean | boolean;
    focusBackdrop: string | boolean;
    focusGlow: string | boolean;
    radius: string;
    texts: WalkthroughText;
    private _id;
    private _uid;
    constructor();
    ngAfterViewInit(): void;
    init(): void;
    start(): void;
}
